org.apache.activemq.artemis.jms.persistence.config

## Class PersistedBindings

- java.lang.Object
- - org.apache.activemq.artemis.jms.persistence.config.PersistedBindings

- All Implemented Interfaces:
    org.apache.activemq.artemis.core.journal.EncodingSupport

      public class PersistedBindings
      extends Object
      implements org.apache.activemq.artemis.core.journal.EncodingSupport

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `PersistedBindings()`
    `PersistedBindings(PersistedType type, String name)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addBinding(String address)`
    `void` | `decode(ActiveMQBuffer buffer)`
    `void` | `deleteBinding(String address)`
    `void` | `encode(ActiveMQBuffer buffer)`
    `List<String>` | `getBindings()`
    `int` | `getEncodeSize()`
    `long` | `getId()`
    `String` | `getName()`
    `PersistedType` | `getType()`
    `void` | `setId(long id)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### PersistedBindings

          public PersistedBindings()

    - #### PersistedBindings

          public PersistedBindings(PersistedType type,
                                   String name)

      Parameters:
        `type` -
        `name` -

  - ### Method Detail

    - #### decode

          public void decode(ActiveMQBuffer buffer)

      Specified by:
        `decode` in interface `org.apache.activemq.artemis.core.journal.EncodingSupport`

    - #### encode

          public void encode(ActiveMQBuffer buffer)

      Specified by:
        `encode` in interface `org.apache.activemq.artemis.core.journal.EncodingSupport`

    - #### getEncodeSize

          public int getEncodeSize()

      Specified by:
        `getEncodeSize` in interface `org.apache.activemq.artemis.core.journal.EncodingSupport`

    - #### getId

          public long getId()

      Returns:
        the id

    - #### setId

          public void setId(long id)

      Parameters:
        `id` - the id to set

    - #### getType

          public PersistedType getType()

      Returns:
        the type

    - #### getName

          public String getName()

      Returns:
        the name

    - #### getBindings

          public List<String> getBindings()

      Returns:
        the bindings

    - #### addBinding

          public void addBinding(String address)

    - #### deleteBinding

          public void deleteBinding(String address)

Copyright © 2017. All rights reserved.